<?php

namespace EventPortal\Tests\Unit\Models;

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Enums\Status;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\DatabaseMigrations;

class HasFieldsModelTest extends TestCase
{
    use DatabaseMigrations;

    /** @test **/
    public function can_set_status()
    {
        $event = factory(Event::class)->create();

        $this->assertEquals(Status::DRAFT(), $event->status);

        $event->setStatus(Status::PUBLISHED());

        $this->assertEquals(Status::PUBLISHED(), $event->status);
    }
}
