<?php

namespace EventPortal\Contracts;

use EventPortal\Domain\Table\GroupedActions;
use Illuminate\Database\Eloquent\Relations\MorphMany;

interface HasFields
{
    public function sections(): MorphMany;

    public function fields(): MorphMany;

    public function initialiseFields(array $content): self;

    public function saveToFields(array $data): self;

    /** @return mixed */
    public function getValueAttribute();

    public function tableActions(): GroupedActions;
}
